Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.cfg
Class GrailsAnnotationConfiguration

    java.lang.Object
      org.hibernate.cfg.Configuration
          org.hibernate.cfg.AnnotationConfiguration
              org.codehaus.groovy.grails.orm.hibernate.cfg.GrailsAnnotationConfiguration

All Implemented Interfaces:
  Serializable, GrailsDomainConfiguration

    public class GrailsAnnotationConfiguration

extends org.hibernate.cfg.AnnotationConfiguration
implements GrailsDomainConfiguration

Allows configuring Grails' hibernate support to work in conjuntion with Hibernate's annotation support.

Since:
  18-Feb-2006
Author:
  Graeme Rocher
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.cfg.AnnotationConfiguration
`ARTEFACT, DEFAULT_PRECEDENCE`

Fields inherited from class org.hibernate.cfg.Configuration
`auxiliaryDatabaseObjects, classes, collections, columnNameBindingPerTable, extendsQueue, filterDefinitions, imports, namedQueries, namedSqlQueries, namingStrategy, propertyReferences, secondPasses, settingsFactory, sqlFunctions, sqlResultSetMappings, tableNameBinding, tables, typeDefs, xmlHelper`

Constructor Summary
`GrailsAnnotationConfiguration()`

Method Summary
`GrailsDomainConfiguration` | `addDomainClass(GrailsDomainClass domainClass)` Adds a domain class to the configuration.
`org.hibernate.SessionFactory` | `buildSessionFactory()`
`protected void` | `secondPassCompile()` Overrides the default behaviour to including binding of Grails domain classes.
`void` | `setGrailsApplication(GrailsApplication application)` Sets the grails application instance.

Methods inherited from class org.hibernate.cfg.AnnotationConfiguration
`add, addAnnotatedClass, addCacheableFile, addCacheableFile, addClass, addDirectory, addDocument, addFile, addFile, addInputStream, addJar, addPackage, addProperties, addResource, addResource, addURL, addXML, configure, configure, configure, configure, configure, createExtendedMappings, doConfigure, doConfigure, getReflectionManager, mergeProperties, orderAndFillHierarchy, parseMappingElement, reset, setCacheConcurrencyStrategy, setCacheConcurrencyStrategy, setCollectionCacheConcurrencyStrategy, setCollectionCacheConcurrencyStrategy, setInterceptor, setNamingStrategy, setPrecedence, setProperties, setProperty`

Methods inherited from class org.hibernate.cfg.Configuration
`addAuxiliaryDatabaseObject, addFilterDefinition, addSqlFunction, buildMapping, buildMappings, buildSettings, buildSettings, createMappings, findPossibleExtends, generateDropSchemaScript, generateSchemaCreationScript, generateSchemaUpdateScript, getClassMapping, getClassMappings, getCollectionMapping, getCollectionMappings, getConfigurationInputStream, getEntityNotFoundDelegate, getEntityResolver, getEventListeners, getFilterDefinitions, getImports, getInterceptor, getNamedQueries, getNamedSQLQueries, getNamingStrategy, getProperties, getProperty, getSessionFactoryObserver, getSqlFunctions, getSqlResultSetMappings, getTableMappings, secondPassCompileForeignKeys, setCacheConcurrencyStrategy, setEntityNotFoundDelegate, setEntityResolver, setListener, setListener, setListeners, setListeners, setSessionFactoryObserver, validateSchema`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsAnnotationConfiguration

    public GrailsAnnotationConfiguration()

Method Detail

### addDomainClass

    public GrailsDomainConfiguration addDomainClass(GrailsDomainClass domainClass)

  Description copied from interface: `GrailsDomainConfiguration`
  Adds a domain class to the configuration.

  Specified by:
    `addDomainClass` in interface `GrailsDomainConfiguration`
  Returns:
    this

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication application)

  Description copied from interface: `GrailsDomainConfiguration`
  Sets the grails application instance.

  Specified by:
    `setGrailsApplication` in interface `GrailsDomainConfiguration`
  Parameters:
    `application` - The grails application to use or null if none.

### buildSessionFactory

    public org.hibernate.SessionFactory buildSessionFactory()
                                                     throws org.hibernate.HibernateException

  Overrides:
    `buildSessionFactory` in class `org.hibernate.cfg.AnnotationConfiguration`
  Throws:
    `org.hibernate.HibernateException`

### secondPassCompile

    protected void secondPassCompile()
                              throws org.hibernate.MappingException

  Overrides the default behaviour to including binding of Grails domain classes.

  Overrides:
    `secondPassCompile` in class `org.hibernate.cfg.AnnotationConfiguration`
  Throws:
    `org.hibernate.MappingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD